Overview
POST
/content/key-value-pairscontentCreate key_value_pairs
Create a record in key-value-pairs.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- ecosystemIdoptionalstring
- deletedAtoptionalstring?
- keystring
- valuestring | number | boolean? | object | any[]
Example
{
"ecosystemId": "string",
"deletedAt": "string",
"key": "string",
"value": "string"
}Responses
201
key_value_pairs
- idstring
- ecosystemIdstring
- customerIdstring
- deletedAtstring?
- keystring
- valuestring | number | boolean? | object | any[]
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"ecosystemId": "string",
"customerId": "string",
"deletedAt": "string",
"key": "string",
"value": "string",
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/content/key-value-pairs" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"ecosystemId": "string",
"deletedAt": "string",
"key": "string",
"value": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/key-value-pairs", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"ecosystemId\": \"string\",\n \"deletedAt\": \"string\",\n \"key\": \"string\",\n \"value\": \"string\"\n}",
});
const data = await res.json();